package com.fs.his.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import com.fs.his.param.FsDoctorWordsListUParam;
import com.fs.his.vo.FsDoctorWordsListUVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsDoctorWordsMapper;
import com.fs.his.domain.FsDoctorWords;
import com.fs.his.service.IFsDoctorWordsService;

/**
 * doctorWordsService业务层处理
 *
 * @author fs
 * @date 2023-10-12
 */
@Service
public class FsDoctorWordsServiceImpl implements IFsDoctorWordsService
{
    @Autowired
    private FsDoctorWordsMapper fsDoctorWordsMapper;

    /**
     * 查询doctorWords
     *
     * @param id doctorWords主键
     * @return doctorWords
     */
    @Override
    public FsDoctorWords selectFsDoctorWordsById(Long id)
    {
        return fsDoctorWordsMapper.selectFsDoctorWordsById(id);
    }

    /**
     * 查询doctorWords列表
     *
     * @param fsDoctorWords doctorWords
     * @return doctorWords
     */
    @Override
    public List<FsDoctorWords> selectFsDoctorWordsList(FsDoctorWords fsDoctorWords)
    {
        return fsDoctorWordsMapper.selectFsDoctorWordsList(fsDoctorWords);
    }

    /**
     * 新增doctorWords
     *
     * @param fsDoctorWords doctorWords
     * @return 结果
     */
    @Override
    public int insertFsDoctorWords(FsDoctorWords fsDoctorWords)
    {
        fsDoctorWords.setCreateTime(DateUtils.getNowDate());
        return fsDoctorWordsMapper.insertFsDoctorWords(fsDoctorWords);
    }

    /**
     * 修改doctorWords
     *
     * @param fsDoctorWords doctorWords
     * @return 结果
     */
    @Override
    public int updateFsDoctorWords(FsDoctorWords fsDoctorWords)
    {
        return fsDoctorWordsMapper.updateFsDoctorWords(fsDoctorWords);
    }

    /**
     * 批量删除doctorWords
     *
     * @param ids 需要删除的doctorWords主键
     * @return 结果
     */
    @Override
    public int deleteFsDoctorWordsByIds(Long[] ids)
    {
        return fsDoctorWordsMapper.deleteFsDoctorWordsByIds(ids);
    }

    /**
     * 删除doctorWords信息
     *
     * @param id doctorWords主键
     * @return 结果
     */
    @Override
    public int deleteFsDoctorWordsById(Long id)
    {
        return fsDoctorWordsMapper.deleteFsDoctorWordsById(id);
    }

    @Override
    public List<FsDoctorWordsListUVO> selectFsDoctorWordsListUVO(FsDoctorWordsListUParam param) {
        return fsDoctorWordsMapper.selectFsDoctorWordsListUVO(param);
    }
}
